YOLO-World

YOLO-World एक ज़ीरो-शॉट ऑब्जेक्ट डिटेक्शन मॉडल है जो आपको किसी भी प्रशिक्षण के बिना, केवल उन आइटमों का वर्णन करके ऑब्जेक्ट डिटेक्शन करने की अनुमति देता है जिन्हें आप डिटेक्ट करना चाहते हैं।

circle-check

inferencejs के साथ एज inference

हमारे होस्टेड API का बेस URL है https://infer.roboflow.com.

circle-info

YOLO-World को Inference के साथ, Python SDK या self-hosted API के माध्यम से उपयोग करने पर अधिक जानकारी के लिए देखें YOLO-World Inference docs पृष्ठarrow-up-right.

YOLO-World inference.

post

Run the YOLO-World zero-shot object detection model.

Query parameters
api_keyany ofOptional

Roboflow API Key that will be passed to the model during initialization for artifact retrieval

stringOptional
or
nullOptional
countinferenceany ofOptional
booleanOptional
or
nullOptional
service_secretany ofOptional
stringOptional
or
nullOptional
Body

Request for Grounding DINO zero-shot predictions.

Attributes: text (List[str]): A list of strings.

idstringRequired
api_keyany ofOptional

Roboflow API Key that will be passed to the model during initialization for artifact retrieval

stringOptional
or
nullOptional
usage_billablebooleanOptionalDefault: true
startany ofOptional
numberOptional
or
nullOptional
sourceany ofOptional
stringOptional
or
nullOptional
source_infoany ofOptional
stringOptional
or
nullOptional
disable_model_monitoringany ofOptional

If true, disables model monitoring for this request

Default: false
booleanOptional
or
nullOptional
model_idany ofOptional
stringOptional
or
nullOptional
model_typeany ofOptional

The type of the model, usually referring to what task the model performs

Example: object-detection
stringOptional
or
nullOptional
imageany ofRequired
or
disable_preproc_auto_orientany ofOptional

If true, the auto orient preprocessing step is disabled for this call.

Default: false
booleanOptional
or
nullOptional
disable_preproc_contrastany ofOptional

If true, the auto contrast preprocessing step is disabled for this call.

Default: false
booleanOptional
or
nullOptional
disable_preproc_grayscaleany ofOptional

If true, the grayscale preprocessing step is disabled for this call.

Default: false
booleanOptional
or
nullOptional
disable_preproc_static_cropany ofOptional

If true, the static crop preprocessing step is disabled for this call.

Default: false
booleanOptional
or
nullOptional
textstring[]Required

A list of strings

Example: ["person","dog","cat"]
yolo_world_version_idany ofOptionalDefault: l
stringOptional
or
nullOptional
confidenceany ofOptionalDefault: 0.4
numberOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json

Object Detection inference response.

Attributes: predictions (List[inference.core.entities.responses.inference.ObjectDetectionPrediction]): List of object detection predictions.

visualizationany ofOptional

Base64 encoded string containing prediction visualization image data

stringOptional
or
nullOptional
inference_idany ofOptional

Unique identifier of inference

stringOptional
or
nullOptional
frame_idany ofOptional

The frame id of the image used in inference if the input was a video

integerOptional
or
nullOptional
timeany ofOptional

The time in seconds it took to produce the predictions including image preprocessing

numberOptional
or
nullOptional
imageany ofRequired
or
post
/yolo_world/infer

Last updated

Was this helpful?